using assignment2.Models;
using System.ComponentModel.DataAnnotations;

public class CreateExperienceModel
{
    public int ExperienceId { get; set; }

    [Required(ErrorMessage = "Name is required")]
    [StringLength(100, ErrorMessage = "Name must be at most 100 characters")]
    public string Name { get; set; }

    [Required(ErrorMessage = "Description is required")]
    [StringLength(500, ErrorMessage = "Description must be at most 500 characters")]
    public string Description { get; set; }

    [Required(ErrorMessage = "Price is required")]
    [Range(0, 10000, ErrorMessage = "Price must be between 0 and 10,000")]
    public int Price { get; set; }

    [Required(ErrorMessage = "Provider Id is required")]
    public int ProviderId { get; set; }
}
