﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace assignment1.Migrations
{
    /// <inheritdoc />
    public partial class Discount : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "ExperienceId1",
                table: "Experiences",
                type: "int",
                nullable: true);

            migrationBuilder.CreateTable(
                name: "Discounts",
                columns: table => new
                {
                    DiscountId = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    MinimumParticipants = table.Column<int>(type: "int", nullable: false),
                    DiscountAmount = table.Column<int>(type: "int", nullable: false),
                    ExperienceId = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Discounts", x => x.DiscountId);
                    table.ForeignKey(
                        name: "FK_Discounts_Experiences_ExperienceId",
                        column: x => x.ExperienceId,
                        principalTable: "Experiences",
                        principalColumn: "ExperienceId",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_Experiences_ExperienceId1",
                table: "Experiences",
                column: "ExperienceId1");

            migrationBuilder.CreateIndex(
                name: "IX_Discounts_ExperienceId",
                table: "Discounts",
                column: "ExperienceId");

            migrationBuilder.AddForeignKey(
                name: "FK_Experiences_Experiences_ExperienceId1",
                table: "Experiences",
                column: "ExperienceId1",
                principalTable: "Experiences",
                principalColumn: "ExperienceId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Experiences_Experiences_ExperienceId1",
                table: "Experiences");

            migrationBuilder.DropTable(
                name: "Discounts");

            migrationBuilder.DropIndex(
                name: "IX_Experiences_ExperienceId1",
                table: "Experiences");

            migrationBuilder.DropColumn(
                name: "ExperienceId1",
                table: "Experiences");
        }
    }
}
