﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace assignment1.Migrations
{
    /// <inheritdoc />
    public partial class _03_shared_experience : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Guest",
                columns: table => new
                {
                    GuestId = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    ExperienceId = table.Column<int>(type: "int", nullable: true),
                    SharedExperienceId = table.Column<int>(type: "int", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Guest", x => x.GuestId);
                    table.ForeignKey(
                        name: "FK_Guest_Experiences_ExperienceId",
                        column: x => x.ExperienceId,
                        principalTable: "Experiences",
                        principalColumn: "ExperienceId");
                    table.ForeignKey(
                        name: "FK_Guest_SharedExperience_SharedExperienceId",
                        column: x => x.SharedExperienceId,
                        principalTable: "SharedExperience",
                        principalColumn: "SharedExperienceId");
                });

            migrationBuilder.CreateIndex(
                name: "IX_Guest_ExperienceId",
                table: "Guest",
                column: "ExperienceId");

            migrationBuilder.CreateIndex(
                name: "IX_Guest_SharedExperienceId",
                table: "Guest",
                column: "SharedExperienceId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Guest");
        }
    }
}
